<?php
namespace App\Providers;
use Validator;
use Hash;

use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
      Validator::extend('passcheck',function($attribute,$value,$parameters){
        return Hash::check($value,$parameters[0]);
      });
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }
}
